File: changelog

package info (click to toggle)
libtext-iconv-perl 1.7-7
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 96 kB
  • sloc: perl: 13; makefile: 5
file content (182 lines) | stat: -rw-r--r-- 6,299 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
libtext-iconv-perl (1.7-7) unstable; urgency=medium

  * Team upload.
  * Update build system and dependencies for cross build support
  * Update to Standards-Version 4.4.1
  * Declare that the package does not need (fake)root to build

 -- Niko Tyni <ntyni@debian.org>  Sun, 27 Oct 2019 17:26:25 +0200

libtext-iconv-perl (1.7-6) unstable; urgency=medium

  * Take over for the Debian Perl Group; Closes: #925034 -- RFA/ITA
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
    field (source stanza). Changed: Homepage field changed to
    metacpan.org URL; Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Anibal Monsalve Salazar
    <anibal@debian.org>).
  * debian/watch: use metacpan-based URL and use uscan version 4.
  * Mark package as autopkgtest-able.
  * Drop version from perl build dependency.
  * Bump debhelper-compat to 12.
  * Remove trailing whitespace from debian/*.
  * Drop custom source compression. Drop custom source compression level.
  * debian/copyright: use Copyright-Format 1.0.
  * Add /me to Uploaders.
  * Make short description a noun phrase.
  * debian/rules: include dpkg makefile snippet instead of calling dpkg-
    architecture.
  * Set bindnow linker flag in debian/rules.
  * Declare compliance with Debian Policy 4.4.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Jul 2019 17:09:58 -0300

libtext-iconv-perl (1.7-5) unstable; urgency=low

  * Fix typo in extended description
    Closes: 635635

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 28 Nov 2011 14:59:19 +1100

libtext-iconv-perl (1.7-4.1) unstable; urgency=high

  * NMU
  * Pass -d to dh_perl to avoid unnecessary dependency on perl.
    Closes: #639149

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Nov 2011 17:52:50 -0400

libtext-iconv-perl (1.7-4) unstable; urgency=low

  * Don't pass "-Zbzip2 -z9" to dpkg-deb
    Refer to Bug#633782

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 17 Jul 2011 13:18:58 +1000

libtext-iconv-perl (1.7-3) unstable; urgency=low

  [ Steve McIntyre ]
  * Update to modern perl module packaging standards (Closes: #633954)
  * Configure perl C compilation for cross builds (Closes: 633960)

  [ Anibal Monsalve Salazar ]
  * Source format is 3.0 (quilt)
  * Standards-Version is 3.9.2
  * Fix debhelper-but-no-misc-depends
  * Fix debhelper-overrides-need-versioned-build-depends
  * Fix copyright-refers-to-symlink-license

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jul 2011 13:18:09 +1000

libtext-iconv-perl (1.7-2) unstable; urgency=low

  * DH compatibility level is 7
  * Fix out-of-date-standards-version
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Jul 2009 20:06:28 +1000

libtext-iconv-perl (1.7-1) unstable; urgency=low

  * New upstream version. Closes: #468142
  * Added debian/watch file
  * Added homepage control header
  * Bumped Standards-Version to 3.7.3
  * Fixed the following lintian issues:
    - debian-rules-ignores-make-clean-error
    - debian-copyright-file-uses-obsolete-national-encoding

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 28 Feb 2008 10:08:22 +1100

libtext-iconv-perl (1.4-3) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set debian/compat to 5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 22 Jun 2006 14:04:53 +1000

libtext-iconv-perl (1.4-2) unstable; urgency=low

  * Fixed "broken build (empty package) on m68k", closes: #327734.
  * Set Standards-Version to 3.6.2 and updated homepage address in
    debian/control.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 08 Oct 2005 23:43:04 +1000

libtext-iconv-perl (1.4-1) unstable; urgency=low

  * New upstream release.
    - Fixed "/usr/share/man/man3/Text::Iconv.3pm.gz: says Text:Iconv",
      closes: #204516.
    - Fixed "upstream release 1.4 is available", closes: #312957.
  * Patch to flush state after converting text, #230170, is not needed,
    as indicated by the upstream author. Please refer to
    http://rt.cpan.org/NoAuth/Bug.html?id=5099
  * Replaced dh_installmanpages with dh_installman in debian/rules.
  * Fixed "Override says perl - required, .deb says perl - important".
  * Contrary to the 1.2-3 changelog note, the upstream author is
    quick to respond and actively maintains this Perl module.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Jun 2005 08:28:18 +1000

libtext-iconv-perl (1.2-4) unstable; urgency=low

  * New maintainer.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 10 Jun 2005 21:05:07 +1000

libtext-iconv-perl (1.2-3) unstable; urgency=low

  * Applied patch to flush state after converting text (closes: #230170)
  * I don't think this module is maintained any more (and with Encode
    being part of the core, I would suggest using that instead)
  * Slight modernisation of build process.

 -- Steve Haslam <araqnid@debian.org>  Sat, 13 Mar 2004 10:16:19 +0000

libtext-iconv-perl (1.2-2) unstable; urgency=low

  * Upgrade priority to Important, since debconf is to depend on this
    package. Change dependency on perl to perl-base to avoid priority
    meltdown. (Closes: #184538)

 -- Steve Haslam <araqnid@debian.org>  Sat, 22 Mar 2003 22:44:09 +0000

libtext-iconv-perl (1.2-1.3) unstable; urgency=low

  * NMU for perl 5.8. Added a build dependency on perl 5.8.0-3.

 -- Josselin Mouette <joss@debian.org>  Tue, 20 Aug 2002 18:29:47 +0200

libtext-iconv-perl (1.2-1) unstable; urgency=low

  * New upstream version

 -- Steve Haslam <araqnid@debian.org>  Thu, 13 Dec 2001 19:17:38 +0000

libtext-iconv-perl (1.1-3) unstable; urgency=low

  * Rebuild with newer dpkg-dev
  * Remove dh_testversion
  * Bumped standards-version

 -- Steve Haslam <araqnid@debian.org>  Thu,  3 May 2001 15:18:49 +0100

libtext-iconv-perl (1.1-2) unstable; urgency=low

  * Rebuild to catch up with Perl policy.
  * Added Build-Depends on perl and debhelper.

 -- Steve Haslam <araqnid@debian.org>  Sun, 29 Apr 2001 00:41:13 +0100

libtext-iconv-perl (1.1-1) unstable; urgency=low

  * New upstream version

 -- Steve Haslam <araqnid@debian.org>  Thu, 28 Dec 2000 15:16:52 +0000

libtext-iconv-perl (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Steve Haslam <araqnid@debian.org>  Sat,  4 Mar 2000 18:43:50 +0000